Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class Resource

    java.lang.Object
      |
      +--oracle.apps.cz.cio.RuntimeNode
            |
            +--oracle.apps.cz.cio.PricedNode
                  |
                  +--oracle.apps.cz.cio.ReadOnlyDecimalNode
                        |
                        +--oracle.apps.cz.cio.DecimalNode
                              |
                              +--oracle.apps.cz.cio.Resource

All Implemented Interfaces:
  IBasicPrice, IDecimal, IPrice, IReadOnlyDecimal, IRuntimeNode

public final class Resource
extends DecimalNode

Represents a consumable resource. A resource will signal a validation failure when it is overconsumed (in other words, when its value goes below zero). NOTE: This class inherits from DecimalNode, but the functionality of a DecimalNode (specifically the method SetDecimalValue()) is 'deprecated', meaning that it shouldn't be used on new projects and may be unsupported in a future release. Use only methods inherited from ReadOnlyDecimalNode.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Fields inherited from class oracle.apps.cz.cio.RuntimeNode
`ACCUMULATOR_SUFFIX_TYPE, ATTR_KEY, CONNECTOR_PREFIX_TYPE, DEFAULT_IV_SUFFIX_TYPE, DEFAULT_SUFFIX_ID, DEFAULT_SUFFIX_TYPE, LOAD_CONDITIONS_GROUP_PREFIX_TYPE, NET_PREFIX_TYPE, NODE_PREFIX_TYPE, TRACKABLE_ROOT_PREFIX_TYPE`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`int` | `getType()` Gets the type of this node.

Methods inherited from class oracle.apps.cz.cio.DecimalNode
`setDecimalValue, toString, unset`

Methods inherited from class oracle.apps.cz.cio.ReadOnlyDecimalNode
`getDecimalValue, isUnknown`

Methods inherited from class oracle.apps.cz.cio.PricedNode
`addDiscountedPricingNotification, addListPricingNotification, cacheCurrentDiscountedPrice, clearDiscountedPrice, clearDiscountedPricingNotifications, clearListPricingNotifications, getBaselineQuantity, getComponentCode, getDeltaQuantity, getDiscountedPrice, getDiscountedPricingNotifications, getExtendedPrice, getInventoryItemId, getItemKey, getListPrice, getListPricingNotifications, getOldDiscountedPrice, getOrganizationId, getPricedNodeID, getPricingNotifications, getPricingValue, getUomCode, getValue, hasDiscountedPrice, hasInventoryItemId, hasListPrice, setDiscountedPrice, setListPrice`

Methods inherited from class oracle.apps.cz.cio.RuntimeNode
`associateAttribute, evaluateUiExpression, getAttributeByName, getAttributes, getAvailableEventCommands, getBaselineValue, getCaption, getChildByID, getChildByID, getChildByName, getChildByName, getChildByPersistentID, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getCXRules, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getFuncCompByID, getFuncCompByName, getFunctionalCompanions, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyById, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, hasAttribute, hasChildren, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hashCode, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDefaultAffected, isDeleteChanged, isDeleted, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, lookupNodeID, lookupNodeID, registerLoadCondition, setLineType, setLocationID, setLocationTypeCode, synchronizeIBValues, typeToString`

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.apps.cz.cio.IReadOnlyDecimal
`getDecimalValue, isUnknown`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getType

    public int getType()

  Description copied from interface: `IRuntimeNode`
  Gets the type of this node.
  Specified by:
    `getType` in interface `IRuntimeNode`
  Specified by:
    `getType` in class `RuntimeNode`
  Returns:
    the type of this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.